package cn.cecep.talroad.service.effective;

import cn.cecep.talroad.vo.EChartsVO;
import cn.cecep.talroad.vo.effective.PcNationalCityRanking;
import cn.cecep.talroad.vo.effective.PcNationalCountyRanking;
import cn.cecep.talroad.vo.export.PcNationalCityRankingExport;
import cn.cecep.talroad.vo.export.PcNationalCountyRankingExport;
import com.baomidou.mybatisplus.core.metadata.IPage;

import java.util.List;
import java.util.Map;

public interface ReductionEmissionService {

    /**
     * 获取地区的实时监控数据
     *
     * @param regionCode 地区code
     * @return PcNationalCityRanking
     */
    PcNationalCityRanking realTimeMonitoringService(String regionCode);

    /**
     * @Method cityRankingService
     * @Exception 168  377  省内
     * @Date 2023/6/16 17:03
     */
    Map<String, Object> cityRankingService(String regionCode);

    /**
     * @Method countyRankingService
     * @Exception 省区县
     * @Date 2023/6/16 17:03
     */
    Map<String, Object> countyRankingService(String regionCode);

    /**
     * 获取排名详情
     */
    IPage<PcNationalCityRanking> list(String dateType, String type, String date, Integer pageNum, Integer pageSize,String cityName);


    IPage<PcNationalCountyRanking> provinceCounty(String dateType, String type, String date, Integer pageNum, Integer pageSize,String countyName);


    Map<String, Object> getMapCountyService(String[] countryCode);

    List<PcNationalCityRankingExport> export(PcNationalCityRankingExport pcNationalCityRankingExport);

    List<PcNationalCountyRankingExport> countyExport(PcNationalCountyRankingExport pcNationalCityRankingExport);


    Map<String, Object> getMapService(String type);

    EChartsVO getCountryMapService(List<String> names);

    List<String> countryNameList(String name,String type);

    List<String> cityNameList(String name);

}
